UGENE(1)

NAME
UGENE - integrated bioinformatics suite

SYNOPSIS
ugene -ui

ugene [OPTIONS]

DESCRIPTION
UGENE is a cross-platform environment for DNA and protein sequence analysis. UGENE integrates the most popular bioinformatics computational algorithms and provides both GUI and command line interface for performing complex analysis of the genomic data. The main features of UGENE:

*   View and analysis of annotated DNA or protein sequences

*   Chromatograms visualization and editing

*   Integrated 3D viewer for files in PDB and MMDB formats

*   Integrated support of search requests to NCBI databases

*   Multiple sequence alignment using MUSCLE3, MUSCLE4 and KAlign

*   HMM profiles build and search, based on the source of HMMER2 and HMMER3

*   Modern protein secondary structure prediction algorithms based on GORIV and PsiPred

*   Phylogenetic analysis with Phylip

*   PCR Primers design using Primer3 package

*   Cloning in silico

*   Search for transcription factor binding sites in DNA sequences using SITECON

*   Search for restriction enzymes and integration with REBASE

*   Search for direct and invert repeats

*   DNA reference assembly using Bowtie

*   Protein back translation

*   Search for ORFs

*   Designer for complex computational workflows and queries

UGENE has modular structure and almost all its functionality comes within plugins. Internally UGENE is designed with support of parallelism to make profit from using multicore computers. Every computational task in UGENE is performed in background and does not block user interaction with graphical interface.

OPTIONS

-ui run GUI version of UGENE

--help
    print a usage message briefly summarizing all command-line options and the program version, then exit.

--license
    dump license information

--task=<path-to-schema or schema-name> [schema-options]
    run given workflow schema

--status-bar-hide
    don't show task status bar

--ini-file=<path-to-settings-file>
    load custom UGENE settings file

--log-no-show-level
    don't show message level at log

--log-no-show-date
    don't show date&time info at log

--log-no-show-category
    don't show message category at log

--log-level-trace
    show trace log messages

--log-level-none
    don't show log messages

--log-level-info
    show error and info log messages (default)

--log-level-error
    show only error log messages

--log-level-details
    show details log messages

--log-color-output
    colored output messages

--task-remote-machine=<path-to-machine-file>
    run provided tasks on given remote machine

--ugene-stay-alive
    do not stop ugene after finishing given tasks

--transl=<language-code>
    load translations of specified language. Language is specified as a two-letter ISO 639 language code

COMMANDS

UGENE has commands for most significant features. Commands can be run as
    ugene <command-name> [command-arguments]
    ugene --task=<command-name> [command-arguments]
See help for each command running ugene --help=<command-name>.
List of available commands can be dumped using ugene --help.

BUGS
If you find a bug, please report it at ugene@unipro.ru.

AUTHOR
ugene was created by Unipro (http://unipro.ru)